> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Journey Versions

> Retrieve a list of journey versions



## OpenAPI

````yaml get /journey_version
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /journey_version:
    get:
      tags:
        - Journey Version
      summary: List Journey Versions
      description: Retrieve a list of journey versions
      parameters:
        - name: id
          in: query
          description: Journey version ID
          schema:
            type: string
        - name: journey_id
          in: query
          description: Journey ID
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: published
          in: query
          description: Whether this version is published
          schema:
            type: string
        - name: version
          in: query
          description: Version number
          schema:
            type: string
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
        - name: order
          in: query
          description: 'Ordering. Allowed Fields: `version`'
          schema:
            type: string
        - name: Range
          in: header
          description: Limiting and Pagination
          schema:
            type: string
        - name: Range-Unit
          in: header
          description: Limiting and Pagination
          schema:
            type: string
            default: items
        - name: offset
          in: query
          description: Limiting and Pagination
          schema:
            type: string
        - name: limit
          in: query
          description: Limiting and Pagination
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/journey_version'
components:
  schemas:
    journey_version:
      type: object
      properties:
        id:
          type: string
          description: Journey version ID
          format: uuid
          default: random uuid
        journey_id:
          type: string
          description: Journey ID
          format: uuid
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
          nullable: true
        published:
          type: boolean
          description: Whether this version is published
          format: boolean
          default: false
        version:
          type: integer
          description: Version number
          format: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````